# -*- coding: utf-8 -*-

import socket
import sys


def send_message_to_server(message):
    # ソケットの作成
    client_socket = socket.socket(socket.AF_INET, socket.SOCK_STREAM)

    # サーバーのIPアドレスとポート番号を設定
    server_address = ('localhost', 65432)

    try:
        # サーバーに接続
        client_socket.connect(server_address)
        print("Connected to server: {}".format(server_address))

        # メッセージを送信
        client_socket.sendall(message.encode('utf-8'))
        print("Message sent: {}".format(message))

    except Exception as e:
        print("Error: {}".format(e))

    finally:
        # ソケットを閉じる (通信を切断)
        client_socket.close()
        print("Connection closed")


def main():
    # コマンドライン引数からメッセージを取得
    if len(sys.argv) != 2:
        print("Usage: python client.py <message>")
        sys.exit(1)

    message = sys.argv[1]
    print(message)
    send_message_to_server(message)


if __name__ == "__main__":
    main()
